We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

Angular 3D Charts is a graphical representation of data in three dimensions, showcasing relationships and trends among variables. Unlike traditional 2D charts, 3D charts add depth to the visualization, allowing for a more immersive and comprehensive understanding of data patterns.

Overview for Angular 3D Charts.


Why choose Syncfusion Angular 3D Charts?

Angular interactive 3D Charts.

Interactive 3D charts

The tooltip cursor allows users to interact with the chart and obtain detailed information about data points.

Angular 3D Charts admirable feature set.

Admirable feature set

The Angular 3D Chart supports legends, axis types, data labels, rotation, tilt, selection, and highlights.

Angular 3D Charts adapts to any resolution.

Adapts to any resolution

The 3D charts have a highly responsive layout and an optimized design for desktops, touchscreens, and phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Angular 3D Charts customizable themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Material 3, Fluent, Tailwind CSS, Bootstrap, Material, and Fabric.

Angular 3D Charts global and local.

Globalization and localization

Users from different locales can use the control to format dates, currency, and numbering to suit their preferences.

Angular 3D Charts elegant animation.

Elegant animation

The 3D Chart for Angular provides fluid animation to present data with smooth transitions.


Angular 3D Charts Code Example

Easily get started with the Angular 3D Chart using a few simple lines of HTML and TS code as demonstrated below. Also, explore our Angular 3D Chart Example that shows you how to render and configure 3D Charts in Angular.

import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { ChartTheme } from '@syncfusion/ej2-charts';
import { Browser } from '@syncfusion/ej2-base';

@Component({
    selector: 'control-content',
    encapsulation: ViewEncapsulation.None
})

export class 3dchart {
   public dataSource: Object[] = [
        { x: 'Tesla', y: 13 },{ x: 'Aion', y: 8 },
        { x: 'Wuling', y: 7 }, { x: 'Changan', y: 5 },
        { x: 'Geely', y: 4 }, { x: 'Nio', y: 3 },
        { x: 'Neta', y: 22 }, { x: 'BMW', y: 18 }];
    public primaryXAxis: Object = {
        valueType: 'Category'
    };
    constructor() {
        // code
    };
}
<div>
        <ejs-chart3d id='container'[primaryXAxis]='primaryXAxis'>
            <e-chart3d-series-collection>
                <e-chart3d-series [dataSource]='data' type='Column'>
                </e-chart3d-series>
            </e-chart3d-series-collection>
        </ejs-chart3d>
    </div>

Series types

The 3D charts can plot over six chart types, including column, bar, stacking column, stacking bar, 100% stacked column, and 100% stacked bar.

Series types in Angular 3D Charts.


Legend in Angular 3D Charts.

Legend

The 3D charts support legends to provide additional information about a series with customization options.


Tooltip

The 3D chart control provides options to display tooltips with details about pointer values on mouse hover.

Tooltip in Angular 3D Charts.


Selection in Angular 3D Charts.

Selection and Highlight

Select or highlight data points in a series for easy understanding of the selected data. Adding pattern and color to the selected data makes charts more interactive.


Export Angular 3D Charts to PDF documents or to image formats such as PNG and JPEG on the client side. Print the rendered 3D charts and graphs directly from the browser.

Print and export in Angular 3D Charts.


Axis types in Angular 3D Charts.

Axis types

The 3D charts can plot different data types such as numbers, datetime, logarithmic, and string. The chart’s axis elements can be customized further to make an axis more readable.


Data labels

The 3D charts support data labels to annotate points to improve the readability of data.

Datalabels in Angular 3D Charts.


Customization in Angular 3D Charts.

Customization

Customize the color of data points, the depth of the wall, and the wall color of the 3D charts using built-in APIs.


Multiple series

Plot multiple series in a single chart to compare different data values. Enabling legends and tooltips gives more information about an individual series.

Multiple series in Angular 3D Charts.


Intractive 3D Charts in Angular 3D Charts.

Interactive chart

The end-user experience is greatly enhanced by including a set of interactive features such as rotation, tilt, selection, and highlight.


Accessibility

Keyboard navigation in Angular 3D Charts.

Keyboard navigation

Every element in the Angular 3D Chart is keyboard accessible. Major features like tooltips, legends, selection, and highlights can be used with keyboard commands alone. No mouse interaction is required. This helps in creating highly accessible applications.

Accessibility and screen reader support in Angular 3D Charts.

Screen reader

Angular 3D Charts view has complete WAI-ARIA accessibility support. The 3D chart’s UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in Angular 3D Charts.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of 3D charts from right to left. This improves the user experience and accessibility for RTL languages.




85+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Angular 3D Charts with a rich set of features offers the following:

  • Visualize and analyze 3D data with Column, Stacking Column, and Stacking Bar Chart.
  • Flexible UI customization of period and range selectors with fluent APIs.
  • One of the best Angular 3D Charts in the market that offers a feature-rich UI to interact with the software.
  • Simple configuration and APIs.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Angular 3D Charts.

You can find our Angular 3D Charts demo, which demonstrates how to render and configure 3D Charts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon
Live Chat Icon For mobile

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

React 3D Charts is a graphical representation of data in three dimensions, showcasing relationships and trends among variables. Unlike traditional 2D charts, 3D charts add depth to the visualization, allowing for a more immersive and comprehensive understanding of data patterns.

Overview 3D Charts of React.


Why choose Syncfusion React 3D Charts?

React interactive 3D Charts.

Interactive 3D charts

The tooltip cursor allows users to interact with the chart and obtain detailed information about data points.

React 3D Charts admirable feature set.

Admirable feature set

The React 3D Chart supports legends, axis types, data labels, rotation, tilt, selection, and highlights.

React 3D Charts adapts to any resolution.

Adapts to any resolution

The 3D charts have a highly responsive layout and an optimized design for desktops, touchscreens, and phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

React 3D Charts customizable themes.

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Material 3, Fluent, Tailwind CSS, Bootstrap, Material, and Fabric.

React 3D Charts global and local.

Globalization and localization

Users from different locales can use the control to format dates, currency, and numbering to suit their preferences.

React 3D Charts elegant animation.

Elegant animation

The 3D Chart for React provides fluid animation to present data with smooth transitions.


React 3D Charts Code Example

Easily get started with the React 3D Chart using a few simple lines of TSX code as demonstrated below. Also, explore our React 3D Chart Example that shows you how to render and configure 3D Charts in React.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { Category3D, Chart3DComponent, Column3DSeries, Inject, Chart3DSeriesCollectionDirective, Chart3DSeriesDirective} from'@syncfusion/ej2-react-charts';
import { SampleBase } from '../common/sample-base';
export class Default extends SampleBase<{}, {}> { 
  public data: any = [{ x: 'Tesla', y: 13 },{ x: 'Aion', y: 8 }, { x: 'Wuling', y: 17 }, { x: 'Changan', y: 25 }, { x: 'Geely', y: 17 }, { x: 'Nio', y: 15 }, { x: 'Neta', y: 22 }, { x: 'BMW', y: 18 } ];
public primaryXAxis: any = {
   valueType: 'Category'
};
  render() {
    return (
        <div>
            <Chart3DComponent id='stockchart' primaryXAxis={this.primaryXAxis} 
            height='350'>
            <Inject services={[Category3D, Column3DSeries]}/>
            <Chart3DSeriesCollectionDirective>
                <StockChartSeriesDirective dataSource={this.data} type='Column'>
                </StockChartSeriesDirective>
            </Chart3DSeriesCollectionDirective>
        </Chart3DComponent>
        </div>
    )
  }
}

Series types

The 3D charts can plot over six chart types, including column, bar, stacking column, stacking bar, 100% stacked column, and 100% stacked bar.

Series types in React 3D Charts.


Legend in React 3D Charts.

Legend

The 3D charts support legends to provide additional information about a series with customization options.


Tooltip

The 3D chart control provides options to display tooltips with details about pointer values on mouse hover.

Tooltip in React 3D Charts.


Selection React 3D Charts.

Selection and Highlight

Select or highlight data points in a series for easy understanding of the selected data. Adding pattern and color to the selected data makes charts more interactive.


Export React 3D Charts to PDF documents or to image formats such as PNG and JPEG on the client side. Print the rendered 3D charts and graphs directly from the browser.

Print and export in React 3D Charts.


Axis types in React 3D Charts.

Axis types

The 3D charts can plot different data types such as numbers, datetime, logarithmic, and string. The chart’s axis elements can be customized further to make an axis more readable.


Data labels

The 3D charts support data labels to annotate points to improve the readability of data.

Datalabels in React 3D Charts.


Customization in React 3D Charts.

Customization

Customize the color of data points, the depth of the wall, and the wall color of the 3D charts using built-in APIs.


Multiple series

Plot multiple series in a single chart to compare different data values. Enabling legends and tooltips gives more information about an individual series.

Multiple series in React 3D Charts.


Intractive 3D Charts in React 3D Charts.

Interactive chart

The end-user experience is greatly enhanced by including a set of interactive features such as rotation, tilt, selection, and highlight.


Accessibility

Keyboard navigation in React 3D Charts.

Keyboard navigation

Every element in the React 3D Chart is keyboard accessible. Major features like tooltips, legends, selection, and highlights can be used with keyboard commands alone. No mouse interaction is required. This helps in creating highly accessible applications.

Accessibility and screen reader support in React 3D Charts.

Screen reader

React 3D Charts view has complete WAI-ARIA accessibility support. The 3D chart’s UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in React 3D Charts.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of 3D charts from right to left. This improves the user experience and accessibility for RTL languages.




85+ REACT UI COMPONENTS

Frequently Asked Questions

The React 3D Charts with a rich set of features offers the following:

  • Visualize and analyze 3D data with Column, Stacking Column, and Stacking Bar Chart.
  • Flexible UI customization of period and range selectors with fluent APIs.
  • One of the best React 3D Charts in the market that offers a feature-rich UI to interact with the software.
  • Simple configuration and APIs.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React 3D Charts.

You can find our React 3D Charts demo, which demonstrates how to render and configure 3D Charts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon
Live Chat Icon For mobile